#ifndef CALCULATOR_H
#define CALCULATOR_H

#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QTableView>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QString>
#include <QButtonGroup>
#include <QRadioButton>
#include <QSpinBox>
#include <QGroupBox>
#include <QPushButton>
#include <QMessageBox>


class Calculator : public QWidget
{
    Q_OBJECT

    QGridLayout *layout;
    QVBoxLayout *panel;
    QHBoxLayout *hbox;
    QLineEdit  *display;
    QGroupBox *radioButtons;
    QRadioButton *norRBut, *bigRBut;
    std::vector<QPushButton*> digitButtonList;
    QPushButton *addBut, *clsBut;

    bool newNumExpected;
    bool fltPoint;
    double opA;
    double opB;
    char idOp;

public:
    Calculator(QWidget *parent = 0);
    ~Calculator();

private slots:
    void clickNorButton();
    void clickBigButton();
    void clickDigit();
    void clickOperator();
    void clickCls();

};

#endif // CALCULATOR_H
